Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tools.ant.taskdefs.optional.clearcase
Class CCCheckin

    java.lang.Object
      |
      +--org.apache.tools.ant.Task
            |
            +--org.apache.tools.ant.taskdefs.optional.clearcase.ClearCase
                  |
                  +--org.apache.tools.ant.taskdefs.optional.clearcase.CCCheckin

public class CCCheckin
extends ClearCase

Task to perform Checkin command to ClearCase.

The following attributes are interpreted:

Attribute | Values | Required
--- | --- | ---
viewpath | Path to the ClearCase view file or directory that the command will operate on | No
comment | Specify a comment. Only one of comment or cfile may be used. | No
commentfile | Specify a file containing a comment. Only one of comment or cfile may be used. | No
nowarn | Suppress warning messages | No
preservetime | Preserve the modification time | No
keepcopy | Keeps a copy of the file with a .keep extension | No
identical | Allows the file to be checked in even if it is identical to the original | No

Author:
  Curtis White

Field Summary
`static java.lang.String` | `FLAG_COMMENT` -c flag -- comment to attach to the file
`static java.lang.String` | `FLAG_COMMENTFILE` -cfile flag -- file containing a comment to attach to the file
`static java.lang.String` | `FLAG_IDENTICAL` -identical flag -- allows the file to be checked in even if it is identical to the original
`static java.lang.String` | `FLAG_KEEPCOPY` -keep flag -- keeps a copy of the file with a .keep extension
`static java.lang.String` | `FLAG_NOCOMMENT` -nc flag -- no comment is specified
`static java.lang.String` | `FLAG_NOWARN` -nwarn flag -- suppresses warning messages
`static java.lang.String` | `FLAG_PRESERVETIME` -ptime flag -- preserves the modification time

Fields inherited from class org.apache.tools.ant.taskdefs.optional.clearcase.ClearCase
`COMMAND_CHECKIN, COMMAND_CHECKOUT, COMMAND_UNCHECKOUT, COMMAND_UPDATE`

Fields inherited from class org.apache.tools.ant.Task
`description, location, project, target, taskName, taskType, wrapper`

Constructor Summary
`CCCheckin()`

Method Summary
`void` | `execute()` Executes the task.
`java.lang.String` | `getComment()` Get comment string
`java.lang.String` | `getCommentFile()` Get comment file
`boolean` | `getIdentical()` Get identical flag status
`boolean` | `getKeepCopy()` Get keepcopy flag status
`boolean` | `getNoWarn()` Get nowarn flag status
`boolean` | `getPreserveTime()` Get preservetime flag status
`void` | `setComment(java.lang.String comment)` Set comment string
`void` | `setCommentFile(java.lang.String cfile)` Set comment file
`void` | `setIdentical(boolean identical)` Set the identical flag
`void` | `setKeepCopy(boolean keep)` Set the keepcopy flag
`void` | `setNoWarn(boolean nwarn)` Set the nowarn flag
`void` | `setPreserveTime(boolean ptime)` Set preservetime flag

Methods inherited from class org.apache.tools.ant.taskdefs.optional.clearcase.ClearCase
`getClearToolCommand, getViewPath, run, setClearToolDir, setViewPath`

Methods inherited from class org.apache.tools.ant.Task
`getDescription, getLocation, getOwningTarget, getProject, getRuntimeConfigurableWrapper, getTaskName, init, log, log, maybeConfigure, setDescription, setLocation, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### FLAG_COMMENT

    public static final java.lang.String FLAG_COMMENT

  -c flag -- comment to attach to the file

### FLAG_COMMENTFILE

    public static final java.lang.String FLAG_COMMENTFILE

  -cfile flag -- file containing a comment to attach to the file

### FLAG_NOCOMMENT

    public static final java.lang.String FLAG_NOCOMMENT

  -nc flag -- no comment is specified

### FLAG_NOWARN

    public static final java.lang.String FLAG_NOWARN

  -nwarn flag -- suppresses warning messages

### FLAG_PRESERVETIME

    public static final java.lang.String FLAG_PRESERVETIME

  -ptime flag -- preserves the modification time

### FLAG_KEEPCOPY

    public static final java.lang.String FLAG_KEEPCOPY

  -keep flag -- keeps a copy of the file with a .keep extension

### FLAG_IDENTICAL

    public static final java.lang.String FLAG_IDENTICAL

  -identical flag -- allows the file to be checked in even if it is identical to the original

Constructor Detail

### CCCheckin

    public CCCheckin()

Method Detail

### execute

    public void execute()
                 throws BuildException

  Executes the task.

  Builds a command line to execute cleartool and then calls Exec's run method to execute the command line.

  Overrides:
    `execute` in class `Task`
  Following copied from class: `org.apache.tools.ant.Task`
  Throws:
    `BuildException` - if someting goes wrong with the build

### setComment

    public void setComment(java.lang.String comment)

  Set comment string
  Parameters:
    `comment` - the comment string

### getComment

    public java.lang.String getComment()

  Get comment string
  Returns:
    String containing the comment

### setCommentFile

    public void setCommentFile(java.lang.String cfile)

  Set comment file
  Parameters:
    `cfile` - the path to the comment file

### getCommentFile

    public java.lang.String getCommentFile()

  Get comment file
  Returns:
    String containing the path to the comment file

### setNoWarn

    public void setNoWarn(boolean nwarn)

  Set the nowarn flag
  Parameters:
    `nwarn` - the status to set the flag to

### getNoWarn

    public boolean getNoWarn()

  Get nowarn flag status
  Returns:
    boolean containing status of nwarn flag

### setPreserveTime

    public void setPreserveTime(boolean ptime)

  Set preservetime flag
  Parameters:
    `ptime` - the status to set the flag to

### getPreserveTime

    public boolean getPreserveTime()

  Get preservetime flag status
  Returns:
    boolean containing status of preservetime flag

### setKeepCopy

    public void setKeepCopy(boolean keep)

  Set the keepcopy flag
  Parameters:
    `keep` - the status to set the flag to

### getKeepCopy

    public boolean getKeepCopy()

  Get keepcopy flag status
  Returns:
    boolean containing status of keepcopy flag

### setIdentical

    public void setIdentical(boolean identical)

  Set the identical flag
  Parameters:
    `identical` - the status to set the flag to

### getIdentical

    public boolean getIdentical()

  Get identical flag status
  Returns:
    boolean containing status of identical flag

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 Apache Software Foundation. All Rights Reserved.